|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QGraphicsSceneHoverEvent Class Reference
[QtGui module]

The QGraphicsSceneHoverEvent class provides hover events in the graphics view framework. More...

     #include <QGraphicsSceneHoverEvent>

Inherits QGraphicsSceneEvent.

This class was introduced in Qt 4.2.

- List of all members, including inherited members

### Public Functions

- ~QGraphicsSceneHoverEvent ()
- QPointF pos () const
- QPointF scenePos () const
- QPoint screenPos () const

- 1 public function inherited from QGraphicsSceneEvent
- 6 public functions inherited from QEvent

### Additional Inherited Members

- 1 property inherited from QEvent

## Detailed Description

The QGraphicsSceneHoverEvent class provides hover events in the graphics view framework.

When a QGraphicsView receives a QHoverEvent event, it translates it into QGraphicsSceneHoverEvent. The event is then forwarded to the QGraphicsScene associated with the view.

See also QGraphicsSceneMouseEvent, QGraphicsSceneContextMenuEvent, QGraphicsSceneWheelEvent, and QHoverEvent.

## Member Function Documentation

### QGraphicsSceneHoverEvent::~QGraphicsSceneHoverEvent ()

Destroys the event.

### QPointF QGraphicsSceneHoverEvent::pos () const

Returns the position of the mouse cursor in item coordinates at the moment the the hover event was sent.

See also scenePos() and screenPos().

### QPointF QGraphicsSceneHoverEvent::scenePos () const

Returns the position of the mouse cursor in scene coordinates at the moment the the hover event was sent.

See also pos() and screenPos().

### QPoint QGraphicsSceneHoverEvent::screenPos () const

Returns the position of the mouse cursor in screen coordinates at the moment the the hover event was sent.

See also pos() and scenePos().